Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class AddressEntryInfo

    java.lang.Object
      com.compoze.exchange.AddressEntryInfo

All Implemented Interfaces:
  java.io.Serializable

public class AddressEntryInfo
extends java.lang.Object
implements java.io.Serializable

This class stores summary information about a single address entry, useful for displaying basic information about an email address. It does not provide full access to all of the address entry fields, which is instead provided through the `AddressEntry` class.

See Also:
  Serialized Form

Method Summary
`java.lang.String` | `getAddress()` Gets the Exchange address of the address entry.
`AddressDisplayType` | `getAddressDisplayType()` Gets the display type of the address entry.
`java.lang.String` | `getDisplayAddress()` Gets the display address of the address entry.
`java.lang.String` | `getID()` Gets the ID of the address entry.
`java.lang.String` | `getName()` Gets the display name of the address entry.
`java.lang.String` | `getSmtpAddress()` Gets the SMTP address of the address entry.
`java.lang.String` | `toString()` Creates a string representation of the attachment info.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getID

    public java.lang.String getID()

  Gets the ID of the address entry.

  Returns:
    the name

### getName

    public java.lang.String getName()

  Gets the display name of the address entry.

  Returns:
    the name

### getAddress

    public java.lang.String getAddress()

  Gets the Exchange address of the address entry. `NOTE:` This is not the SMTP address, but an Exchange address of the form `TYPE:value`

  Returns:
    the Exchange address
  See Also:
    `getSmtpAddress()`

### getAddressDisplayType

    public AddressDisplayType getAddressDisplayType()

  Gets the display type of the address entry.

  Returns:
    the display type

### getDisplayAddress

    public java.lang.String getDisplayAddress()

  Gets the display address of the address entry. The display address is in the format `Joe Smith <joe.smith@company.com>`.

  Returns:
    the display address

### getSmtpAddress

    public java.lang.String getSmtpAddress()

  Gets the SMTP address of the address entry.

  Returns:
    the SMTP address

### toString

    public java.lang.String toString()

  Creates a string representation of the attachment info.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.